precision mediump float;

uniform sampler2D _unif_texture;
uniform vec2      _unif_res;

varying vec2 tex_coord;

void main() {
   vec4 mul0 = vec4(0.2270270270);
   vec2 off1 = vec2(1.3846153846 / _unif_res.x, 0);
   vec4 mul1 = vec4(0.3162162162);
   vec2 off2 = vec2(3.2307692308 / _unif_res.x, 0);
   vec4 mul2 = vec4(0.0702702703);

   vec4 color = texture2D(_unif_texture, tex_coord) * mul0;
   color += texture2D(_unif_texture, tex_coord + off1) * mul1;
   color += texture2D(_unif_texture, tex_coord - off1) * mul1;
   color += texture2D(_unif_texture, tex_coord + off2) * mul2;
   color += texture2D(_unif_texture, tex_coord - off2) * mul2;
   gl_FragColor = color;
}
